Opened 5 years ago

Last modified 4 years ago

#7993 enhancement new

— at 'twisted.web.wsgi' should be ported to Python 3Version 6

Reported by: Peng Xiao Owned by:
Priority: normal Milestone: Python-3.x
Component: web Keywords:
Cc: Branch:
Author:

Description (last modified by hawkowl)

This module should be importable, functional, and pass the test suite.

Change History (7)

comment:1 Changed 5 years ago by hawkowl

Component: coreweb
Milestone: Python-3.x
Summary: python3 ImportError: No module named 'twisted.web.wsgi''twisted.web.wsgi' should be ported to Python 3
Type: defectenhancement

Hi,

This is because WSGI support isn't yet ported. I'll amend this ticket to match the others and attach it to the milestone.

comment:2 Changed 5 years ago by hawkowl

Description: modified (diff)

comment:3 Changed 5 years ago by hawkowl

Description: modified (diff)

comment:4 Changed 5 years ago by jMyles

I'm not sure how to translate this assertion:

https://github.com/twisted/twisted/blob/trunk/twisted/web/test/test_wsgi.py#L1190

The tracebacks are no longer equal because the exception is now raised by twisted.python.compat.reraise.

Changed 5 years ago by jMyles

Attachment: destroy-the-supermoon.patch added

comment:5 Changed 5 years ago by jMyles

Keywords: review added

comment:6 Changed 5 years ago by hawkowl

Description: modified (diff)
Note: See TracTickets for help on using tickets.